curl --request POST \
--url https://api.acedata.cloud/seedream/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
'import requests
url = "https://api.acedata.cloud/seedream/images"
payload = {
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'doubao-seedream-5-0-260128', prompt: 'a white siamese cat'})
};
fetch('https://api.acedata.cloud/seedream/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
"trace_id": "a9063166-26ed-4451-85b5-54e896817c69",
"data": [
{
"prompt": "a cute cat running",
"image_url": "https://cdn.acedata.cloud/8c5b69a6e0.png"
}
]
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "request_too_large",
"message": "Request body is too large."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Seedream Images
curl --request POST \
--url https://api.acedata.cloud/seedream/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
'import requests
url = "https://api.acedata.cloud/seedream/images"
payload = {
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'doubao-seedream-5-0-260128', prompt: 'a white siamese cat'})
};
fetch('https://api.acedata.cloud/seedream/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
"trace_id": "a9063166-26ed-4451-85b5-54e896817c69",
"data": [
{
"prompt": "a cute cat running",
"image_url": "https://cdn.acedata.cloud/8c5b69a6e0.png"
}
]
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "request_too_large",
"message": "Request body is too large."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}授權
API token from https://platform.acedata.cloud
標頭
Seedream Images Param Accept
application/json, application/x-ndjson 主體
- Seedream 5.0 Pro layer decomposition
- Seedream 5.0 Pro image generation and editing
- Seedream 5.0 Lite
- Seedream 4.x
Seedream Images Model
doubao-seedream-5-0-pro-260628 Seedream Images Layer Decomposition
true Seedream Images Image
Seedream Images Size
^(1K|1\.5K|2K|3K|4K|auto|[0-9]+x[0-9]+)$"2K"
Seedream Images Prompt
"a white siamese cat"
Seedream Images Sequential Image Generation
auto, disabled Seedream Images Sequential Image Generation Options
Show child attributes
Show child attributes
Seedream Images Stream
Seedream Images Response Format
url, b64_json Seedream Images Watermark
Seedream Images Output Format
jpeg, png Seedream Images Tools
Show child attributes
Show child attributes
Seedream Images Optimize Prompt Options
Show child attributes
Show child attributes
Seedream Images Callback Url
Seedream Images Async
Seedream Images Background
transparent, opaque 回應
Seedream Images Response 200
Seedream Images Response 200 Success
Seedream Images Response 200 Task Id
Seedream Images Response 200 Trace Id
Seedream Images Response 200 Data
Show child attributes
Show child attributes
Seedream Images Response 200 Usage
Show child attributes
Show child attributes
Seedream Images Response 200 Tools
Show child attributes
Show child attributes

